curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/transactions/dispute-reasons' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Dispute reasons retrieved successfully",
"data": [
{
"reason_code": "unauthorized",
"description": "I did not authorize this transaction"
},
{
"reason_code": "not_received",
"description": "Goods or services not received"
},
{
"reason_code": "duplicate",
"description": "Duplicate charge for the same transaction"
},
{
"reason_code": "incorrect_amount",
"description": "Amount charged was incorrect"
},
{
"reason_code": "credit_not_processed",
"description": "Expected credit or refund not processed"
}
]
}
Yativo Card (Own Account)
Get Dispute Reasons
Retrieve the list of available reason codes for filing a transaction dispute
GET
/
v1
/
yativo-card
/
{yativoCardId}
/
transactions
/
dispute-reasons
curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/transactions/dispute-reasons' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Dispute reasons retrieved successfully",
"data": [
{
"reason_code": "unauthorized",
"description": "I did not authorize this transaction"
},
{
"reason_code": "not_received",
"description": "Goods or services not received"
},
{
"reason_code": "duplicate",
"description": "Duplicate charge for the same transaction"
},
{
"reason_code": "incorrect_amount",
"description": "Amount charged was incorrect"
},
{
"reason_code": "credit_not_processed",
"description": "Expected credit or refund not processed"
}
]
}
Bearer token:
Bearer YOUR_ACCESS_TOKENThe Yativo Card account ID.
curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/transactions/dispute-reasons' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"message": "Dispute reasons retrieved successfully",
"data": [
{
"reason_code": "unauthorized",
"description": "I did not authorize this transaction"
},
{
"reason_code": "not_received",
"description": "Goods or services not received"
},
{
"reason_code": "duplicate",
"description": "Duplicate charge for the same transaction"
},
{
"reason_code": "incorrect_amount",
"description": "Amount charged was incorrect"
},
{
"reason_code": "credit_not_processed",
"description": "Expected credit or refund not processed"
}
]
}
⌘I

